Package tigase.db

# Interface Repository

All Known Subinterfaces:
  `AuthRepository`, `ComponentRepository<Item>`, `ComponentRepositoryDataSourceAware<Item,DS>`, `ConfigRepositoryIfc`, `DataRepository`, `DataSource`, `DataSourcePool<T>`, `MsgRepositoryIfc<T>`, `OfflineMessages.OfflineMsgRepositoryIfc`, `OfflineMsgRepositoryIfc`, `RepositoryPool<T>`, `UserRepository`, `VHostComponentRepository`, `VHostComponentRepositoryDataSourceAware<DS>`

All Known Implementing Classes:
  `AbstractAuthRepositoryWithCredentials`, `AbstractCompDBRepository`, `AbstractSDComponentRepositoryBean`, `AuthRepositoryImpl`, `AuthRepositoryMDImpl`, `AuthRepositoryMDPoolBean`, `AuthRepositoryPool`, `CertificateRepository`, `ClConConfigRepository`, `ClConDirRepository`, `ClConSQLRepository`, `ClusterConnectionManager.DefClConRepositoryBean`, `CompCompDBRepository`, `CompConfigRepository`, `CompSQLRepository`, `ConfigRepository`, `ConfigSQLRepository`, `ConfigurationCache`, `ConfigXMLRepository`, `DataRepoPool`, `DataRepositoryImpl`, `DataRepositoryPool`, `DrupalWPAuth`, `DummyRepository`, `ExtServiceDiscoveryUserRepoRepository`, `JDBCMsgRepository`, `JDBCRepository`, `LdapAuthProvider`, `ManagerCompDBRepository`, `MsgRepository`, `MsgRepository.MsgRepositoryMDBean`, `SchemaManager.DataSourceInfo`, `ServerCompDBRepository`, `TaskConfigItemJDBCRepository`, `TigaseAuth`, `TigaseCustomAuth`, `TigaseSPAuth`, `UserRepoRepository`, `UserRepositoryMDImpl`, `UserRepositoryMDPoolBean`, `UserRepositoryPool`, `VHostJDBCRepository`, `VHostManager.DefVHostRepositoryBean`, `XMLDataSource`, `XMLMsgRepository`, `XMLRepository`

public interface Repository
Base interface which should be implemented by every repository to have one common interface

Author:
  andrzej

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static @interface`
  `Repository.Meta`
  Meta created to add possibility to retrieve information about implementation of repository (ie.
  `static @interface`
  `Repository.SchemaId`
  Annotation provides information about schema (ie.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `initRepository(String resource_uri, Map<String,String> params)`
  Deprecated.

- ## Method Details

  - ### initRepository

    @Deprecated default void initRepository(String resource_uri, Map<String,String> params) throws DBInitException
    Deprecated.
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Parameters:
      `resource_uri` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.